/*
 * Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms
 * and conditions in the IBM International Program License Agreement.
 *
 * (C) Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */

package com.ibm.xtools.pluglets.ui.samples.texteditor;

import java.util.Date;

import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.ITextSelection;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.texteditor.IDocumentProvider;
import org.eclipse.ui.texteditor.ITextEditor;

import com.ibm.xtools.pluglets.Pluglet;

/**
 * Insert date and time into active text editor.
 */
public class InsertDateAndTime extends Pluglet {

	public void plugletmain(String[] args) {
		try {
			IWorkbench wb = PlatformUI.getWorkbench();
			IWorkbenchWindow wbw = wb.getActiveWorkbenchWindow();
			IWorkbenchPage wbp = wbw.getActivePage();
			IEditorPart ep = wbp.getActiveEditor();
			if (!(ep instanceof ITextEditor))
				return;
			ITextEditor te = (ITextEditor) ep;
			ISelection s = te.getSelectionProvider().getSelection();
			if (!(s instanceof ITextSelection))
				return;
			ITextSelection ts = (ITextSelection) s;
			IDocumentProvider dp = te.getDocumentProvider();
			IDocument d = dp.getDocument(ep.getEditorInput());
			Date date = new Date();
			d.replace(ts.getOffset(), ts.getLength(), date.toString());
		} catch (Throwable t) {
			printStackTrace(t);
		}
	}

}