/*
 * Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms
 * and conditions in the IBM International Program License Agreement.
 *
 * (C) Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */

package com.ibm.xtools.pluglets.ui.samples.workbench;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.ResourcesPlugin;

import com.ibm.xtools.pluglets.Pluglet;

/**
 * List workspace projects.
 */
public class ListProjects extends Pluglet {

	public void plugletmain(String[] args) {
		try {
			out.println("Projects are:"); //$NON-NLS-1$
			IProject[] projects = ResourcesPlugin.getWorkspace().getRoot()
				.getProjects();
			for (int i = 0; i < projects.length; i++) {
				IProject p = projects[i];
				out.println("    " + p.getName()); //$NON-NLS-1$
			}
		} catch (Throwable t) {
			printStackTrace(t);
		}
	}

}