<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.8" xmlns:xalan="http://xml.apache.org/xslt" xmlns:defaultprofile="http:///defaultprofile.ecore" xmlns:xmi="http://www.omg.org/XMI">
	<!-- this stylesheet is really only a fragment. It uses variables that are 
	defined in a different file.  The two files are merged at runtime to create
	a full transform -->
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<meta name="security" content="public" />
				<meta name="Robots" content="index,follow" />
				<meta http-equiv="PICS-Label" content='(PICS-1.1 "http://www.icra.org/ratingsv02.html" l gen true r (cz 1 lz 1 nz 1 oz 1 vz 1) "http://www.rsac.org/ratingsv01.html" l gen true r (n 0 s 0 v 0 l 0) "http://www.classify.org/safesurf/" l gen true r (SS~~000 1))' />
				<meta name="DC.Format" content="XHTML" />
				<meta name="DC.Language" content="en-us" />
				<!-- All rights reserved. Licensed Materials Property of IBM -->
				<!-- US Government Users Restricted Rights -->
				<!-- Use, duplication or disclosure restricted by -->
				<!-- GSA ADP Schedule Contract with IBM Corp. -->
				<link rel="stylesheet" type="text/css" href="../../../com.ibm.help.doc/ibmdita.css" />
				<link rel="stylesheet" type="text/css" href="../../../com.ibm.help.doc/swg_info_common.css" />
				<title>
					<xsl:value-of select="$LibraryTitle"/>
				</title>
			</head>
			<body>
				<h1 class="topictitle">
					<xsl:value-of select="./defaultprofile:Asset/@name" />
				</h1>
				<div class="skipspace">
					<xsl:value-of select="./defaultprofile:Asset/@shortDescription" />
					<table cellpadding="4" cellspacing="0" summary="" class="skipspace" border="0">
						<tr>
							<td align="left" valign="top">
								<b>
									<xsl:value-of select="$Version"/>
								</b>
							</td>
							<td align="left" valign="top">
								<xsl:value-of select="./defaultprofile:Asset/@version" />
							</td>
						</tr>
						<tr>
							<td align="left" valign="top">
								<b>
									<xsl:value-of select="$PatternsSpecificationID"/>
								</b>
							</td>
							<td align="left" valign="top">
								<xsl:value-of select="./defaultprofile:Asset/@id" />
							</td>
						</tr>
					</table>
				</div>
				<div class="skipspace">
					<h4 class="sectiontitle">
						<xsl:value-of select="$Patterns"/>
					</h4>
					<xsl:apply-templates select="./defaultprofile:Asset/relatedAsset" />
				</div>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="relatedAsset">
		<table>
			<tr>
				<td>
					<xsl:value-of select="@name" />
				</td>
			</tr>	
		</table>
	</xsl:template>

</xsl:stylesheet>
