/*
 * Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms
 * and conditions in the IBM International Program License Agreement.
 *
 *  Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */
package com.ibm.xtools.modeler.ui.pde.examples.menus.popup.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IActionDelegate;
import org.eclipse.ui.IViewActionDelegate;
import org.eclipse.ui.IViewPart;

import com.ibm.xtools.modeler.ui.pde.examples.menus.MenusPlugin;

public class SampleDiagramExplorerPopupAction implements IViewActionDelegate {

	

private static final String KEY_MESSAGE = "diagramExplorerPopup.message"; //$NON-NLS-1$
private static final String KEY_TITLE = "title"; //$NON-NLS-1$
	/**
	 * Constructor for Action.
	 */
	public SampleDiagramExplorerPopupAction() {
		super();
	}

	/**
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) {
		Shell shell = new Shell();
		MessageDialog.openInformation(
			shell,
			MenusPlugin.getResourceString(KEY_TITLE),
			MenusPlugin.getResourceString(KEY_MESSAGE));
	}

	/**
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		//No-op
	}

	/**
	 * @see org.eclipse.ui.IViewActionDelegate#init(org.eclipse.ui.IViewPart)
	 */
	public void init(IViewPart view) {
		//No-op		
	}

}
