/*
 * Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms
 * and conditions in the IBM International Program License Agreement.
 *
 *  Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */
package com.ibm.xtools.modeler.ui.pde.examples.properties;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

import org.eclipse.core.resources.IWorkspace;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.ui.plugin.AbstractUIPlugin;

/**
 * The main plugin class to be used in the desktop.
 */
public class PropertiesExamplesPlugin
	extends AbstractUIPlugin {

	/**
	 * The shared plug-in instance
	 */
	private static PropertiesExamplesPlugin plugin;

	/**
	 * The plug-in resource bundle
	 */
	private static ResourceBundle resourceBundle;

	/**
	 * Constructor
	 * 
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#AbstractUIPlugin()
	 */
	public PropertiesExamplesPlugin() {
		super();
		plugin = this;

	}

	/**
	 * Returns the shared instance.
	 */
	public static PropertiesExamplesPlugin getDefault() {
		return plugin;
	}

	/**
	 * Returns the workspace instance.
	 */
	public static IWorkspace getWorkspace() {
		return ResourcesPlugin.getWorkspace();
	}

	/**
	 * Returns the string from the plugin's resource bundle, or 'key' if not
	 * found.
	 */
	public static String getResourceString(String key) {
		ResourceBundle bundle = getResourceBundle();
		try {
			return (bundle != null ? bundle.getString(key)
				: key);
		} catch (MissingResourceException e) {
			return key;
		}
	}

	/**
	 * Returns the plugin's resource bundle,
	 */
	public static ResourceBundle getResourceBundle() {
		if (resourceBundle == null) {
			try {
				resourceBundle = ResourceBundle
					.getBundle("com.ibm.xtools.modeler.ui.pde.examples.properties.Messages"); //$NON-NLS-1$
			} catch (MissingResourceException x) {
				resourceBundle = null;
			}
		}

		return resourceBundle;
	}
}