/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.						 |	
 *|  Copyright IBM Corporation 2003, 2004. All Rights Reserved.						 |
 *+--------------------------------------------------------------------------------------+
 */

package com.ibm.xtools.transform.samples.modeltotext;

import org.eclipse.core.resources.IProject;

import com.ibm.xtools.transform.core.ITransformationDescriptor;
import com.ibm.xtools.transform.samples.modeltotext.classtotext.console.transforms.ClassToTextConsoleRootTransform;
import com.ibm.xtools.transform.samples.modeltotext.classtotext.file.transforms.ClassToTextFileRootTransform;
import com.ibm.xtools.transform.samples.modeltotext.statetojsp.transforms.StateToJspRootTransform;
import com.ibm.xtools.transform.ui.AbstractTransformGUI;

/**
 * 
 */
public class TransformGUI extends AbstractTransformGUI {

	/* (non-Javadoc)
	 * @see com.ibm.xtools.transform.ui.AbstractTransformGUI#showInTargetContainerTree(com.ibm.xtools.transform.core.ITransformationDescriptor, java.lang.Object)
	 */
	public boolean showInTargetContainerTree(
			ITransformationDescriptor descriptor,
			Object suggestedTargetContainer) {
    	boolean isValid = false;
    	
    	String tid = descriptor.getId();
    	if (tid.equals(ClassToTextConsoleRootTransform.ID)) {
    		// We don't care about the target for this transformation. It
    		// does not need or expect a target container
    		isValid = true;
    	} else if (tid.equals(ClassToTextFileRootTransform.ID) ||
    			tid.equals(StateToJspRootTransform.ID)) {
    		if (suggestedTargetContainer == null) {
    			isValid = false;
    		} else if (suggestedTargetContainer instanceof IProject) {
    			isValid = true;
    		}
    	}
    	
    	return isValid;
	}
}
